For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETRetrieve Me
      • POSTUpdate My Avatar
      • DELRemove My Avatar
LogoLogo
SupportContact salesStart free trial
API ReferenceMe

Retrieve Me

GET
https://api.projectmanager.com/api/data/me
GET
/api/data/me
$curl https://api.projectmanager.com/api/data/me \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "links": {
15 "project": "string",
16 "workSpaceApi": "string"
17 },
18 "emailAddress": "string",
19 "id": "string",
20 "fullName": "string",
21 "workSpaceId": "string",
22 "workSpaceName": "string",
23 "roleName": "string",
24 "isGlobalAdmin": true,
25 "isAccountAdministrator": true,
26 "permissions": {
27 "inviteUser": true,
28 "editAccount": true,
29 "editRole": true,
30 "editAllProjects": true,
31 "editCost": true,
32 "editHoliday": true,
33 "editUserField": true,
34 "editAllTimesheets": true,
35 "approveTimesheet": true,
36 "setUpBoardWorkflow": true,
37 "editProjectField": true,
38 "exportProject": true,
39 "viewUser": true,
40 "editIntegration": true,
41 "createProject": true,
42 "editUser": true,
43 "viewMyBoard": true
44 },
45 "workSpaceStatus": "string",
46 "workSpaceIsActive": true,
47 "workSpaceCountry": "string",
48 "workSpaceCountryCode": "string",
49 "workspaceCulture": "string",
50 "workspaceCurrencyCulture": "string",
51 "userCulture": "string",
52 "userCurrencyCulture": "string",
53 "location": "string",
54 "entitlements": [
55 {
56 "shortId": "string",
57 "name": "string",
58 "type": "string",
59 "enabled": true,
60 "limit": 1.1
61 }
62 ]
63 }
64}
Retrieve information about the currently logged on user. This API call will always succeed with a 200 OK if called with valid authentication information. If the authentication information provided is not valid, calling this API will return a 401 Authentication Failed error message. If successful, this API returns information about the user including its home URL, email address, user name, and workspace name.
Was this page helpful?
Previous

Update My Avatar

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
Information about a currently logged in user. You can call the RetrieveMe API to gather information about the current user.